# TopBarConfiguration class

Configuration of the top bar's appearance.

## Constructors

TopBarConfiguration.new({StyledText? title, TopBarMode mode = TopBarMode.SOLID, StatusBarMode statusBarMode = StatusBarMode.LIGHT, ScanbotColor? backgroundColor, ButtonConfiguration? cancelButton})
TopBarConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

backgroundColor ↔ ScanbotColor
  The background color of the top bar to be used when the visual mode is specified as SOLID. Otherwise ignored.
  getter/setter pair
cancelButton ↔ ButtonConfiguration
  Configuration of the 'cancel' button's appearance.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
mode ↔ TopBarMode
  The visual mode used for the top bar.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
statusBarMode ↔ StatusBarMode
  The visual mode used for the status bar icons.
  getter/setter pair
title ↔ StyledText
  Appearance of the top bar's title.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited